%define		name	tmaid
%define		version	2.4.6
%define		release	15

Name:		%{name}
version:	%{version}
Release:	%{release}
Summary:	textmaid is multifunction text editor
Group:		Applications/Editors
License:	GPL
URL:		http://tmaid.sourceforge.jp
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-ICON.tar.gz
Requires:	gtk2 >= 2.0, glib2 >= 2.0, gdk-pixbuf >= 0.8
BuildRequires:	gtk2-devel >= 2.0, glib2-devel >= 2.0, gdk-pixbuf >= 0.8
BuildRoot:	%{_tmppath}/%{name}-root

%description
Textmail is advanced text editor that supported multi-language.

%prep

%setup -q -a 1

%build
%configure
%{__make}

%install
%makeinstall

# Create directories
%__install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/applications
%__install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications
%__install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/applnk/Editors
%__install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps

# install files
%__cp %{name}-ICON/gnome-%{name}.desktop \
                $RPM_BUILD_ROOT%{_datadir}/applications
%__cp %{name}-ICON/%{name}.desktop \
		$RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications
%__cp %{name}-ICON/%{name}.desktop \
		$RPM_BUILD_ROOT%{_datadir}/applnk/Editors
%__cp %{name}-ICON/%{name}.png \
		$RPM_BUILD_ROOT%{_datadir}/pixmaps/

%find_lang %{name}


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/applications/gnome-%{name}.desktop
%{_datadir}/gnome/apps/Applications/%{name}.desktop
%{_datadir}/applnk/Editors/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL* NEWS README doc/en/ doc/ja/
%{_bindir}/*


%changelog
* Wed Apr 12 2006 JP:  <soejima@eos.ocn.ne.jp>
- Version up to 2.4.6

* Wed Oct 10 2003 JP:  <soejima@eos.ocn.ne.jp>
- Version up to 2.3.1

* Wed Jan 02 2003 JP:  <soejima@eos.ocn.ne.jp>
- Virsion up to 2.2.5

* Fri Oct 04 2002 JP:  <soejima@eos.ocn.ne.jp>
- Virsion up to 2.2.3

* Mon Aug 26 2002 JP:  <soejima@eos.ocn.ne.jp>
- Virsion up to 2.2.2

* Wed Jun 19 2002 JP:  <soejima@eos.ocn.ne.jp>
- Virsion up to 2.2.1

* Mon May 13 2002 JP:  <soejima@eos.ocn.ne.jp>
- Virsion up to 2.1.19

* Thu Apr 23 2002 JP:  <soejima@eos.ocn.ne.jp>
- Virsion up to 2.1.17

* Wed Apr 17 2002 JP:  <soejima@eos.ocn.ne.jp>
- Virsion up to 2.1.15

* Mon Apr 15 2002 JP:  <soejima@eos.ocn.ne.jp>
- Virsion up to 2.1.14

* Tue Mar 12 2002 JP:  <soejima@eos.ocn.ne.jp>
- Virsion up to 2.1.12

* Tue Feb 19 2002 JP:  <soejima@eos.ocn.ne.jp>
- Virsion up to 2.1.10

* Thu Feb 12 2002 JP:  <soejima@eos.ocn.ne.jp>
- Virsion up to 2.1.9

* Mon Jan 28 2002 JP:  <soejima@eos.ocn.ne.jp>
- support Gnome and KDE for ICON

* Mon Jan 28 2002 <soejima@eos.ocn.ne.jp>
- First public release
